<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__timer__funcs" kind="group">
    <compoundname>group_sysclk_clk_timer_funcs</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1ga57d72bc029cd9d5b7d85b7fb79c721a3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkTimerSetSource</definition>
        <argsstring>(cy_en_clktimer_in_sources_t source)</argsstring>
        <name>Cy_SysClk_ClkTimerSetSource</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1ga86912bed27349c7e5c53315a84cd040d">cy_en_clktimer_in_sources_t</ref></type>
          <declname>source</declname>
        </param>
        <briefdescription>
<para>Sets the source for the timer clock (clk_timer). </para>        </briefdescription>
        <detaileddescription>
<para>The timer clock can be used as a source for SYSTICK as an alternate clock and one or more of the energy profiler counters.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>source</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1ga86912bed27349c7e5c53315a84cd040d">cy_en_clktimer_in_sources_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />timer<sp />clock<sp />source<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />HFCLK0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040daae7d2108717f298c79173c9e22a9efa3">CY_SYSCLK_CLKTIMER_IN_HF0_NODIV</ref><sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga7a828c7cf527aa7d693b2e4ca866be1c">Cy_SysClk_ClkTimerGetSource</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga57d72bc029cd9d5b7d85b7fb79c721a3">Cy_SysClk_ClkTimerSetSource</ref>(<ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040daae7d2108717f298c79173c9e22a9efa3">CY_SYSCLK_CLKTIMER_IN_HF0_NODIV</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3251" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3242" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3219" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1ga7a828c7cf527aa7d693b2e4ca866be1c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1ga86912bed27349c7e5c53315a84cd040d">cy_en_clktimer_in_sources_t</ref></type>
        <definition>__STATIC_INLINE cy_en_clktimer_in_sources_t Cy_SysClk_ClkTimerGetSource</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkTimerGetSource</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports the source for the timer clock (clk_timer). </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1ga86912bed27349c7e5c53315a84cd040d">cy_en_clktimer_in_sources_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />timer<sp />clock<sp />source<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />HFCLK0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040daae7d2108717f298c79173c9e22a9efa3">CY_SYSCLK_CLKTIMER_IN_HF0_NODIV</ref><sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga7a828c7cf527aa7d693b2e4ca866be1c">Cy_SysClk_ClkTimerGetSource</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga57d72bc029cd9d5b7d85b7fb79c721a3">Cy_SysClk_ClkTimerSetSource</ref>(<ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040daae7d2108717f298c79173c9e22a9efa3">CY_SYSCLK_CLKTIMER_IN_HF0_NODIV</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3270" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3266" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3220" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1ga35c57655122dc43321c946cb9850e7ba" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkTimerSetDivider</definition>
        <argsstring>(uint8_t divider)</argsstring>
        <name>Cy_SysClk_ClkTimerSetDivider</name>
        <param>
          <type>uint8_t</type>
          <declname>divider</declname>
        </param>
        <briefdescription>
<para>Sets the divider for the timer clock (clk_timer). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>divider</parametername>
</parameternamelist>
<parameterdescription>
<para>Divider value; valid range is 0 to 255. Divides the selected source (<ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga57d72bc029cd9d5b7d85b7fb79c721a3">Cy_SysClk_ClkTimerSetSource</ref>) by the (value + 1).</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Do not change the divider value while the timer clock is enabled.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />timer<sp />divider<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />64.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(63u<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1gaee6f41bec28095d9e2109c0881932814">Cy_SysClk_ClkTimerGetDivider</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga35c57655122dc43321c946cb9850e7ba">Cy_SysClk_ClkTimerSetDivider</ref>(63u);<sp /></highlight><highlight class="comment">/*<sp />divider<sp />=<sp />value<sp />+<sp />1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3296" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3289" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3221" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1gaee6f41bec28095d9e2109c0881932814" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint8_t</type>
        <definition>__STATIC_INLINE uint8_t Cy_SysClk_ClkTimerGetDivider</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkTimerGetDivider</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports the divider value for the timer clock (clk_timer). </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The divider value</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />timer<sp />divider<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />64.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(63u<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1gaee6f41bec28095d9e2109c0881932814">Cy_SysClk_ClkTimerGetDivider</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga35c57655122dc43321c946cb9850e7ba">Cy_SysClk_ClkTimerSetDivider</ref>(63u);<sp /></highlight><highlight class="comment">/*<sp />divider<sp />=<sp />value<sp />+<sp />1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3314" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3311" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3222" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1ga659f6724d8f2dfd161eac34d917d8bbd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkTimerEnable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkTimerEnable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables the timer clock (clk_timer). </para>        </briefdescription>
        <detaileddescription>
<para>The timer clock can be used as a source for SYSTICK and one or more of the energy profiler counters.</para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Timer<sp />clock<sp />needs<sp />to<sp />operate<sp />at<sp />HFCLK/32.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga57d72bc029cd9d5b7d85b7fb79c721a3">Cy_SysClk_ClkTimerSetSource</ref>(<ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040da1624370101fb5836357e8ed40fbc62f0">CY_SYSCLK_CLKTIMER_IN_HF0_DIV8</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga35c57655122dc43321c946cb9850e7ba">Cy_SysClk_ClkTimerSetDivider</ref>(3u);<sp /></highlight><highlight class="comment">/*<sp />divider<sp />=<sp />value<sp />+<sp />1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga659f6724d8f2dfd161eac34d917d8bbd">Cy_SysClk_ClkTimerEnable</ref>();</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Use<sp />the<sp />Timer<sp />clock<sp />as<sp />a<sp />source<sp />for<sp />the<sp />alternative<sp />ARM<sp />SysTick<sp />clock<sp />or</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />for<sp />an<sp />Energy<sp />Profile<sp />counter<sp />clock.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />In<sp />case<sp />if<sp />there<sp />is<sp />a<sp />need<sp />to<sp />get<sp />the<sp />timer<sp />clock<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />timerClkFreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1gaa9fa2ca0beada63a72bdc86dae9e5896">Cy_SysClk_ClkTimerGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3335" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3328" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3223" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1gac279297ec60963b2d56058dbce3fd9cc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysClk_ClkTimerIsEnabled</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkTimerIsEnabled</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports the Enabled/Disabled status of the Timer. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>Boolean status of Timer: true - Enabled, false - Disabled.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Timer<sp />clock<sp />is<sp />no<sp />longer<sp />required<sp />and<sp />needs<sp />to<sp />be<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />All<sp />peripherals<sp />clocked<sp />using<sp />this<sp />source<sp />are<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1gac279297ec60963b2d56058dbce3fd9cc">Cy_SysClk_ClkTimerIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga53a3b997b56368bc2e05d2fb4c91d24a">Cy_SysClk_ClkTimerDisable</ref>();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3353" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3350" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3224" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1ga53a3b997b56368bc2e05d2fb4c91d24a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkTimerDisable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkTimerDisable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the timer clock (clk_timer). </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Timer<sp />clock<sp />is<sp />no<sp />longer<sp />required<sp />and<sp />needs<sp />to<sp />be<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />All<sp />peripherals<sp />clocked<sp />using<sp />this<sp />source<sp />are<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1gac279297ec60963b2d56058dbce3fd9cc">Cy_SysClk_ClkTimerIsEnabled</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga53a3b997b56368bc2e05d2fb4c91d24a">Cy_SysClk_ClkTimerDisable</ref>();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3373" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3366" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3225" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__timer__funcs_1gaa9fa2ca0beada63a72bdc86dae9e5896" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SysClk_ClkTimerGetFrequency</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkTimerGetFrequency</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports the frequency of the timer clock (clk_timer). </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;If the the timer clock is not enabled - a zero frequency is reported.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Timer<sp />clock<sp />needs<sp />to<sp />operate<sp />at<sp />HFCLK/32.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga57d72bc029cd9d5b7d85b7fb79c721a3">Cy_SysClk_ClkTimerSetSource</ref>(<ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040da1624370101fb5836357e8ed40fbc62f0">CY_SYSCLK_CLKTIMER_IN_HF0_DIV8</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga35c57655122dc43321c946cb9850e7ba">Cy_SysClk_ClkTimerSetDivider</ref>(3u);<sp /></highlight><highlight class="comment">/*<sp />divider<sp />=<sp />value<sp />+<sp />1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga659f6724d8f2dfd161eac34d917d8bbd">Cy_SysClk_ClkTimerEnable</ref>();</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Use<sp />the<sp />Timer<sp />clock<sp />as<sp />a<sp />source<sp />for<sp />the<sp />alternative<sp />ARM<sp />SysTick<sp />clock<sp />or</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />for<sp />an<sp />Energy<sp />Profile<sp />counter<sp />clock.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />In<sp />case<sp />if<sp />there<sp />is<sp />a<sp />need<sp />to<sp />get<sp />the<sp />timer<sp />clock<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />timerClkFreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1gaa9fa2ca0beada63a72bdc86dae9e5896">Cy_SysClk_ClkTimerGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2289" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysclk.c" bodystart="2252" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3226" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>